Skip to main content
GET
/
api
/
orgs
/
{id}
/
heartbeat
Agent heartbeat context
curl --request GET \
  --url https://atollhq.com/api/orgs/{id}/heartbeat \
  --header 'Authorization: Bearer <token>'
{
  "agent": {
    "id": "<string>",
    "display_name": "<string>"
  },
  "timestamp": "2023-11-07T05:31:56Z",
  "goals": [
    {}
  ],
  "standalone_kpis": [
    {}
  ],
  "assigned_issues": [
    {}
  ],
  "project_context": [
    {}
  ],
  "signals": [
    {}
  ],
  "attention_items": [
    {
      "id": "<string>",
      "source": "notification",
      "event_type": "<string>",
      "action_kind": "<string>",
      "resource_type": "<string>",
      "resource_id": "<string>",
      "issue_id": "<string>",
      "project_id": "<string>",
      "title": "<string>",
      "target_path": "<string>",
      "ack_endpoint": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "attention_summary": {
    "mentions": 1,
    "assignments": 1,
    "blockers": 1,
    "total_unread": 1
  },
  "recommended_action": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id identifier

Response

Successful response

agent
object
required
timestamp
string<date-time>
required
goals
object[]
required
standalone_kpis
object[]
required
assigned_issues
object[]
required
project_context
object[]
required
signals
object[]
required
attention_items
object[]
required
attention_summary
object
required